// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratelamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformvertexes autosprite
	q3map_surfacelight 300
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamplight_y
{
	q3map_surfacelight 10000
	light 1
	cull disable
	{
		map textures/effects/envmapmach.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_floor/concretefloor1
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}
	{
		map textures/base_floor/concretefloor1.tga
		blendfunc gl_zero gl_src_alpha
		tcmod scale .1 .1
		rgbgen identity
	}
	{
		map textures/base_floor/concretefloor1.tga
		blendfunc gl_one gl_src_alpha
		tcmod turb sin .5 1 0 1
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border11light_300
{
	qer_editorimage textures/base_light/border11light.tga
	q3map_lightimage textures/base_light/border11light.blend.tga
	q3map_surfacelight 235
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border11light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border11light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/patch10_pj_lite
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/wires01
{
	cull disable
	surfaceparm alphashadow
	deformvertexes autosprite2
	surfaceparm trans
	{
		map textures/base_trim/wires01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/atech1_alpha
{
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/atech1_alpha.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_wall/atechengine_ax
{
	q3map_lightimage textures/base_wall/atechengine_ax2.tga
	q3map_surfacelight 300
	{
		map textures/sfx/proto_zzztpink.tga
		tcmod rotate 60
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/atechengine_ax.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2c_1
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2f
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2f.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2fline
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1
	}
}

textures/base_wall/comp3
{
	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3text.tga
		rgbgen identity
		tcmod scroll 3 1
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/comp3b
{
	q3map_lightimage textures/base_wall/comp3textb.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3textb.tga
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3b.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/concrete_ow
{
	{
		map textures/sfx/proto_zzztblu2.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/concrete_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/bri/bborder_light
{
	qer_editorimage textures/gothic_light/border7_ceil39.tga
	q3map_surfacelight 700
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/border7_ceil39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/border_ceil39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/bri/b_console_base
{
	surfaceparm nolightmap
	cull disable
	qer_editorimage textures/bri/bconblank.tga
	{
		map textures/effects/tinfx2c.tga
		blendfunc gl_one gl_zero
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/bri/bconsole.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/bri/b_console_console
{
	surfaceparm nolightmap
	cull disable
	qer_editorimage textures/bri/bconsole2.tga
	{
		map textures/effects/tinfx2c.tga
		blendfunc gl_one gl_zero
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/bri/bconsole.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/bri/bconsole2.tga
		blendfunc add
		rgbgen vertex
		rgbgen wave sin .5 .5 0 .4
	}
}

textures/bri/b_console_scrolltext
{
	surfaceparm nolightmap
	cull disable
	qer_editorimage textures/bri/bcontext.tga
	{
		map textures/effects/tinfx2c.tga
		blendfunc gl_one gl_zero
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/bri/bconsole.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/bri/bcontext.tga
		blendfunc add
		tcmod scroll 0 .2
		rgbgen vertex
	}
}

textures/bri/bglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	qer_editorimage textures/bri/plaingla.tga
	cull twosided
	{
		map textures/bri/plaingla.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/bri/b_rain
{
	qer_editorimage textures/bri/b_rain.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	deformvertexes move 3 1 0 sin 0 5 0 0.2
	deformvertexes move .6 3.3 0 sin 0 5 0 0.4
	deformvertexes wave 30 sin 0 10 0 .2
	cull none
	{
		map textures/bri/b_rain.tga
		tcmod scroll .5 -8
		tcmod turb .1 .25 0 -.1
		blendfunc gl_one gl_one
	}
	{
		map textures/bri/b_rain.tga
		tcmod scroll .01 -6.3
		blendfunc gl_one gl_one
	}
}

textures/bri/btrilight
{
	qer_editorimage textures/base_light/trianglelight.tga
	q3map_lightimage textures/base_light/trianglelight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/base_light/trianglelight.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/trianglelight.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .1 0 1
	}
}

textures/bri/patch10_pj_lite_dead
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/patch10_pj_lite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_light/flicker_light15k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 15000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen wave noise 0.75 0.25 0 10
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.75 0.25 0 10
	}
}

textures/gothic_light/gothic_light2_2k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt2_3000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_trim/baseboard09_p_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/baseboard09_p_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}
}

textures/gothic_trim/metalsupport4b_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4b.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4b.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/pitted_rust3_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_wall/iron01_m
{
	qer_editorimage textures/gothic_wall/iron01_m.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_wall/iron01_m.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/bounce_concrete
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bounce_largeblock3
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_largeblock3.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bounce_largeblock3b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_largeblock3b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bouncepad1q1metal7_99
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 2000
	{
		map textures/sfx/bouncepad1q1metal7_99.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bounce_xq1metalbig
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/clangdark_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/clangdark_bounce.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/diamond2cjumppad
{
	qer_editorimage textures/sfx/bouncepad01_diamond2ctga.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500
	{
		map textures/sfx/bouncepad01_diamond2ctga.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/mkc_fog_ctfred
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	fogparms ( 0.3 0.2 0.2 ) 320
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/skies/toxicskydim
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 100
	q3map_sun 1 1 0.5 80 30 70
	qer_editorimage textures/skies/toxicsky.tga
	skyparms - 512 -
	{
		map textures/skies/inteldimclouds.tga
		tcmod scroll 0.1 0.1
		tcmod scale 3 2
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.05
		tcmod scale 3 3
	}
}

